/**************************************************************************
 * Copyright (c) 2012-2013 Anya Helene Bagge
 * Copyright (c) 2012-2013 University of Bergen
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version. See http://www.gnu.org/licenses/
 * 
 * 
 * See the file COPYRIGHT for more information.
 * 
 * Contributors:
 * * Anya Helene Bagge
 * 
 *************************************************************************/
package org.magnolialang.eclipse.tests;

import static org.junit.Assert.assertTrue;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.resources.IWorkspace;
import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.core.runtime.CoreException;
import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

@RunWith(Suite.class)
@SuiteClasses({ AllTests.SetUp.class, UtilityTest.class, DepGraphTest.class })
public class AllTests {
	public static class SetUp {
		@BeforeClass
		public static void setUp() {
/*			try {
				MagnoliaPlugin instance = MagnoliaPlugin.getOrStartInstance();
				System.err.println("AllTests: " + instance);
			}
			catch(BundleException e) {
				e.printStackTrace();
			}

 */
			System.err.println("AllTests");
			IWorkspace workspace = ResourcesPlugin.getWorkspace();
			try {
				workspace.getRoot().refreshLocal(IResource.DEPTH_INFINITE, null);
				for(IProject p : workspace.getRoot().getProjects()) {
					p.delete(true, null);
				}
			}
			catch(CoreException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}


		@Test
		public void foo() {
			assertTrue(true);
		}
	}
}
