/**************************************************************************
 * Copyright (c) 2014 Anya Helene Bagge
 * Copyright (c) 2014 University of Bergen
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version. See http://www.gnu.org/licenses/
 * 
 * 
 * See the file COPYRIGHT for more information.
 * 
 * Contributors:
 * * Anya Helene Bagge
 * 
 *************************************************************************/
package org.magnolialang.magnolia.evaluator.errors;

import org.magnolialang.magnolia.evaluator.callables.Callable;

public class WrongNumberOfArguments extends RuntimeException {
	private static final long serialVersionUID = 1363521733450971023L;


	public WrongNumberOfArguments(Callable funValue, int i) {
		super(funValue.getName() + ": expected " + funValue.numParams() + ", got " + i + " or more");
	}

}
