/**************************************************************************
 * Copyright (c) 2011 Anya Helene Bagge
 * Copyright (c) 2011 University of Bergen
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version. See http://www.gnu.org/licenses/
 * 
 * 
 * See the file COPYRIGHT for more information.
 * 
 * Contributors:
 * * Anya Helene Bagge
 * 
 *************************************************************************/
module org::magnolialang::metaxa::MetaXa::MetaXaAST
           // SortName
data AST = QName(AST arg0, AST arg1);
           // Name
data AST = QName(AST arg0, AST arg1);
           // SyntaxRules
data AST = SyntaxRules(AST arg0) | SyntaxRules(AST arg0, AST arg1);
           // BNFRule
data AST = SyntaxProd(AST arg0, AST arg1);
           // SubSection
data AST = Syntax(AST arg0) | Doc(AST arg0);
           // Module
data AST = Program(AST arg0, AST arg1);
           // SimpleToken
data AST = Keyword(AST arg0) | Punct(AST arg0);
           // BNFExpr
data AST = IterSep(AST arg0, AST arg1, AST arg2) | Opt(AST arg0) | Sort(AST arg0) | Token(AST arg0) | Iter(AST arg0, AST arg1);
           // QuotedTokens
data AST = QuotedTokens(AST arg0);
           // SName
data AST = Name(AST arg0);
           // Section
data AST = Construct(AST arg0, AST arg1, AST arg2) | Sorts(AST arg0) | Operations(AST arg0) | Sort(AST arg0, AST arg1, AST arg2) | Sort(AST arg0, AST arg1);
           // WhitespaceOrComment
data AST = whitespace(AST arg0) | comment(AST arg0);
           // BNFTopExpr
data AST = Cons(AST arg0, AST arg1) | AutoCons(AST arg0) | NoCons(AST arg0);
           // Sort
data AST = Sort(AST arg0) | Iter(AST arg0, AST arg1);
