/**************************************************************************
 * Copyright (c) 2010-2014 Anya Helene Bagge
 * Copyright (c) 2010-2014 University of Bergen
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version. See http://www.gnu.org/licenses/
 *
 *
 * See the file COPYRIGHT for more information.
 *
 * Contributors:
 * * Andreas Hjortland
 * * Anya Helene Bagge
 *
 *************************************************************************/
package org.magnolialang.uri;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.MalformedURLException;
import java.net.URI;
import java.nio.charset.Charset;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.core.runtime.CoreException;

public class ProjectURIResolver {
}
//implements IURIInputStreamResolver, IURIOutputStreamResolver {
//
//
//	public String absolutePath(URI uri) throws IOException {
//		try {
//			return resolve(uri).getLocation().toOSString();
//		}
//		catch(MalformedURLException e) {
//			return null;
//		}
//	}
//
//
//	@Override
//	public boolean exists(URI uri) {
//		try {
//			return resolve(uri).exists();
//		}
//		catch(MalformedURLException e) {
//			return false;
//		}
//		catch(IOException e) {
//			return false;
//		}
//	}
//
//
//	@Override
//	public Charset getCharset(URI uri) throws IOException {
//		try {
//			return Charset.forName(resolve(uri).getCharset());
//		}
//		catch(CoreException e) {
//			throw new IOException(e);
//		}
//	}
//
//
//	@Override
//	public InputStream getInputStream(URI uri) throws IOException {
//		try {
//			return resolve(uri).getContents();
//		}
//		catch(CoreException e) {
//			Throwable cause = e.getCause();
//
//			if(cause instanceof IOException) {
//				throw (IOException) cause;
//			}
//
//			throw new IOException(e.getMessage(), e);
//		}
//	}
//
//
//	@Override
//	public OutputStream getOutputStream(URI uri, boolean append) throws IOException {
//		return new FileOutputStream(resolve(uri).getRawLocation().toOSString(), append);
//	}
//
//
//	@Override
//	public URI getResourceURI(URI uri) throws IOException {
//		try {
//			return resolve(uri).getLocation().toFile().toURI();
//		}
//		catch(MalformedURLException e) {
//			return null;
//		}
//	}
//
//
//	@Override
//	public boolean isDirectory(URI uri) {
//		return false;
//	}
//
//
//	@Override
//	public boolean isFile(URI uri) {
//		return exists(uri);
//	}
//
//
//	@Override
//	public long lastModified(URI uri) {
//		try {
//			return resolve(uri).getModificationStamp();
//		}
//		catch(MalformedURLException e) {
//			return 0L;
//		}
//		catch(IOException e) {
//			return 0L;
//		}
//	}
//
//
//	@Override
//	public String[] listEntries(URI uri) {
//		return new String[] {};
//	}
//
//
//	@Override
//	public void mkDirectory(URI uri) {
//		throw new UnsupportedOperationException();
//	}
//
//
//	public void remove(URI uri) throws IOException {
//		throw new UnsupportedOperationException();
//	}
//
//
//	@Override
//	public String scheme() {
//		return "project";
//	}
//
//
//	@Override
//	public boolean supportsHost() {
//		return false;
//	}
//
//
//	private IFile resolve(URI uri) throws IOException, MalformedURLException {
//		IProject project = ResourcesPlugin.getWorkspace().getRoot().getProject(uri.getAuthority());
//
//		if(project == null) {
//			throw new IOException("project " + uri.getAuthority() + " does not exist");
//		}
//
//		return project.getFile(uri.getPath());
//	}
//
//}
