/**
 * @author Magne Haveraaen
 * @since 2013
 */
// implementation: implementation BasicCxxRaw.IntegerCxxRaw.small_large_conversion_raw, file: "BasicCxxRaw/CxxIntSmallLargeConversionRaw.hxx" 
#ifndef _INCLUDE_BASICCXXRAW_CXXINTSMALLLARGECONVERSIONRAW_HXX
#define _INCLUDE_BASICCXXRAW_CXXINTSMALLLARGECONVERSIONRAW_HXX
namespace BasicCxxRaw {
template<typename Large, typename Small>
struct CxxIntSmallLargeConversionRaw {
	struct CxxIntSmallLargeConversionRaw_impl {
		/** function embed(:Small) : Large */
		Large embed(const Small& s) const {
			return (Large) s;
		}
		
		/** function fold(:Large) : Small */
		Small fold(const Large& l) const {
			return (Small) l;
		}
	};
	
	
};


}


#endif
