/**
 * @author Magne Haveraaen
 * @since 2014-10-09
 */
// implementation: implementation BasicCxxRaw.MultitypeOperationsCxxRaw.float_integer_conversion_rawCxx, file: "BasicCxxRaw/CxxMultitypeFloatIntegerConversionRaw.hxx" 
#include <cmath>
#ifndef _INCLUDE_BASICCXXRAW_CXXMULTITYPEFLOATINTEGERCONVERSIONRAW_HXX
#define _INCLUDE_BASICCXXRAW_CXXMULTITYPEFLOATINTEGERCONVERSIONRAW_HXX
namespace BasicCxxRaw {
template<typename Float, typename Integer>
struct CxxMultitypeFloatIntegerConversionRaw {
	struct CxxMultitypeFloatIntegerConversionRaw_impl {
		/** function embed(:Integer) : Float */
		Float embed(const Integer& i) const {
			return (Float) i;
		}
		
		/** function iround(:Float) : Integer */
		Integer iround(const Float& f) const {
			return (Integer) round(f);//std::
		}
		
		/** function itrunc(:Float) : Integer */
		Integer itrunc(const Float& f) const {
			return (Integer) f;
		}
	};
	
	
};


}


#endif
