public class HtmlGenerator {

	String title;


	public HtmlGenerator() {
	}


	public String generateHtmlPage(String title, String documentation) {
		return generateHtmlPage(title, documentation, getDefaultCss(), getDefaultScript());
	}


	public String generateHtmlPage(String title, String documentation, String css, String javascript) {
		this.title = title;

		StringBuffer buffer = new StringBuffer();
		buffer.append("<html> <style type='text/css'>");
		buffer.append(css);
		buffer.append("</style><head> <title>");
		buffer.append(title);
		buffer.append("</title></head><body>");
		buffer.append(generatePageBody(documentation));
		buffer.append("</body><script type='text/javascript'>");
		buffer.append(javascript);
		buffer.append("</script></html>");

		return buffer.toString();
	}


	/**
	 * Body of the hover window.
	 *
	 * @return String containing the body of the hover window
	 */
	private static String generatePageBody(String documentation) {
		return documentation; // TODO generate some html artifacts from the documentation
	}


	/**
	 * Css of the hover window. TODO improve color, font, and text-size
	 *
	 * @return String containing the css of the hover helper
	 */
	private static String getDefaultCss() {
		return "body{font-size:100%; line-height:1.5; font-family: 'Merriweather', Georgia, 'Times New Roman', Times, serif;color: black;background-color: #DFD357}h1{font-size: 2.747em;}h2{font-size: 0.874em;}h3{font-size:1.229em;}";
	}


	private static String getDefaultScript() {
		return "";
	}

}
