package org.magnolialang.eclipse.views;

import org.nuthatchery.pica.resources.IProjectManager;

/*
 * import java.util.ArrayList;
 * import java.util.HashMap;
 * import java.util.IdentityHashMap;
 * import java.util.List;
 * import java.util.Map;
 * import java.util.Map.Entry;
 * import java.util.concurrent.BlockingQueue;
 * import java.util.concurrent.LinkedBlockingQueue;
 * import java.util.concurrent.TimeUnit;
 * 
 * import org.eclipse.swt.graphics.Color;
 * import org.graphstream.graph.Edge;
 * import org.graphstream.graph.Graph;
 * import org.graphstream.graph.Node;
 * import org.graphstream.graph.implementations.SingleGraph;
 * import org.graphstream.ui.swingViewer.Viewer;
 * import org.graphstream.ui.swingViewer.Viewer.CloseFramePolicy;
 * import org.graphstream.ui.swingViewer.ViewerListener;
 * import org.graphstream.ui.swingViewer.ViewerPipe;
 * import org.magnolialang.eclipse.MagnoliaPlugin;
 * import org.magnolialang.eclipse.icons.StyleBase;
 * import org.magnolialang.magnolia.Magnolia;
 * import org.magnolialang.magnolia.resources.IMagnoliaModule;
 * import org.magnolialang.magnolia.resources.IMagnoliaPackage;
 * import org.nuthatchery.pica.resources.IProjectManager;
 * import org.nuthatchery.pica.resources.managed.IManagedCodeUnit;
 * import org.nuthatchery.pica.tasks.ITaskMonitor;
 * import org.nuthatchery.pica.tasks.NullTaskMonitor;
 */
public class ProjectGraph /* implements ViewerListener */ {
/*	private Thread thread;
	private Runner runner;
	private Viewer viewer = null;
	private final IProjectManager manager;
	private ViewerPipe fromViewer;

*/
	public ProjectGraph(IProjectManager manager) {
//		this.manager = manager;
	}

/*
	@Override
	public void buttonPushed(String node) {
		System.err.println("Button pressed: " + node);
		runner.queue.add(new Event(EventKind.BUTTON_PUSHED, node));
	}


	@Override
	public void buttonReleased(String node) {
		System.err.println("Button released: " + node);
		runner.queue.add(new Event(EventKind.BUTTON_RELEASED, node));
	}


	public Viewer display() {
		if(viewer != null) {
			throw new IllegalStateException("Graph already displayed");
		}

		this.runner = new Runner();
		System.setProperty("org.graphstream.ui.renderer", "org.graphstream.ui.j2dviewer.J2DGraphRenderer");

		viewer = runner.graph.display();
		viewer.setCloseFramePolicy(CloseFramePolicy.CLOSE_VIEWER);
		fromViewer = viewer.newViewerPipe();
		fromViewer.addViewerListener(this);
		fromViewer.addSink(runner.graph);
		thread = new Thread(runner, "Project Graph[" + manager.getProjectName() + "]");
		thread.setPriority(Thread.NORM_PRIORITY - 1);
		thread.start();
		return viewer;
	}


	@Override
	public void viewClosed(String arg0) {
		System.err.println("Button pressed: CLOSE");
		runner.queue.add(new Event(EventKind.CLOSED));
//		viewer.close();
		thread.interrupt();
	}


	static class Event {
		EventKind kind;
		String nodeId;


		public Event(EventKind kind) {
			this.kind = kind;
		}


		public Event(EventKind kind, String nodeId) {
			this.kind = kind;
			this.nodeId = nodeId;
		}
	}


	static enum EventKind {
		BUTTON_PUSHED, BUTTON_RELEASED, CLOSED;
	}


	class Runner implements Runnable {
		public Graph graph = new SingleGraph("Dependencies");
		public BlockingQueue<Event> queue = new LinkedBlockingQueue<>();
		public volatile boolean stop = false;
		private final Map<IMagnoliaPackage, String> packages = new IdentityHashMap<>();
		private final ITaskMonitor tm = new NullTaskMonitor();
		private final Map<Node, IMagnoliaPackage> pkgNodes = new HashMap<>();
		private final Map<Node, IMagnoliaModule> modNodes = new HashMap<>();
		private final Map<Node, String> hierNodesByNode = new HashMap<>();
		private final Map<String, Node> hierNodesByString = new HashMap<>();
		private final List<Edge> edges = new ArrayList<>();
		private int count = 0;
		private final String styleSheet = "" //
		+ "node {\n" //
		+ "    size: 15px;\n"//
		// + "    size-mode: fit;\n"//
		+ "    fill-color: #777f, #7770;\n"//
		+ "    fill-mode: gradient-radial;\n"//
		// + "text-mode: hidden;\n"//
		+ "    z-index: 1;\n"//
		+ "    text-visibility-mode: under-zoom;\n"//
		+ "    text-visibility: 0.7;\n"//
		+ "    shape: circle;\n"//
		+ "}\n"//
		+ "node.root{\n" //
		+ "    size: 25px;\n"//
		+ "    text-visibility: 1.5;\n"//
		+ "    text-size: 11;\n" //
		+ "    shape: diamond;\n"//
		+ "}"//
		+ "node.folder {\n" //
		+ "    size: 20px;\n"//
		+ "    text-visibility: 1.25;\n"//
		+ "    text-size: 10;\n" //
		+ "    shape: diamond;\n"//
		+ "}"//
		+ "node.package {\n" //
		+ "    size: 15px;\n"//
		+ "    text-visibility: 1.0;\n"//
		+ "    text-size: 9;\n" //
		+ "    shape: box;\n"//
		+ "}\n"//
		+ "node.module {\n" //
		+ "    text-size: 8;\n" //
		+ "}\n"//
		+ "node.satisfaction {\n" //
		+ "    text-visibility: 0.3;\n"//
		+ "}\n"//
		+ "edge {\n"//
		+ "    z-index: 0;\n"//
		+ "    shape: line;\n"//
		+ "    fill-color: #888f;\n"//
		+ "    arrow-shape: none;\n"//
		+ "    arrow-size: 3px, 2px;\n"//
		+ "}\n"//
		+ "edge.depends {\n"//
		+ "    fill-color: #a66a;\n"//
		+ "    shape: line;\n"//
		+ "    size: 0.5px;\n"//
		+ "    arrow-size: 3px, 2px;\n"//
		+ "}\n"//
		+ "edge.child {\n"//
		+ "    fill-color: #66aa;\n"//
		+ "    shape: line;\n"//
		+ "    size: 1.5px;\n"//
		+ "}\n"//
		;


		public Runner() {
			graph.setAutoCreate(true);
			graph.addAttribute("ui.quality");
			graph.addAttribute("ui.antialias");
		}


		@Override
		public void run() {
			try {
				initGraph();
				viewStructure();

				fromViewer.pump();
				while(true) {
					Event event = queue.poll(50, TimeUnit.MILLISECONDS);
					if(event != null) {
						switch(event.kind) {
						case BUTTON_PUSHED:
							break;
						case BUTTON_RELEASED:
							break;
						case CLOSED:
							return;
						default:
							break;
						}
					}
					fromViewer.pump();
				}
			}
			catch(InterruptedException e) {
				System.err.println("ProjectGraph: shutting down thread");
				return;
			}
		}


		private Node addNode(IManagedCodeUnit cu) throws InterruptedException {
			Node node;
			if(cu instanceof IMagnoliaPackage) {
				IMagnoliaPackage pkg = (IMagnoliaPackage) cu;
				node = graph.addNode(getPkgNodeId(pkg));
				node.addAttribute("ui.label", Magnolia.yieldName(Magnolia.unqualify(pkg.getId())));
				node.addAttribute("ui.class", "package");
				pkgNodes.put(node, pkg);
				addNode(getParent(pkg.getName()));

			}
			else if(cu instanceof IMagnoliaModule) {
				IMagnoliaModule mod = (IMagnoliaModule) cu;
				node = graph.addNode(getModNodeId(mod));
				node.addAttribute("ui.label", Magnolia.yieldName(Magnolia.unqualify(mod.getBaseName())));
				node.addAttribute("ui.class", "module," + cu.getKind(tm));
				modNodes.put(node, mod);
			}
			else {
				return null;
			}
			Thread.sleep(1);
			fromViewer.pump();
			return node;
		}


		private Node addNode(String name) throws InterruptedException {
			if(name != null && !hierNodesByString.containsKey(name)) {
				System.err.println("Adding node: " + name);
				Node node = graph.addNode(name);
				node.addAttribute("ui.label", name.equals("__ROOT__") ? manager.getProjectName() : name);
				node.addAttribute("ui.class", "folder");
				Thread.sleep(1);
				fromViewer.pump();

				hierNodesByString.put(name, node);
				hierNodesByNode.put(node, name);
				addNode(getParent(name));
				return node;
			}
			else {
				return null;
			}
		}


		private void clearEdges() {
			for(Edge e : edges) {
				graph.removeEdge(e);
			}
			edges.clear();
		}


		private Node getModNode(IMagnoliaModule mod) {
			return graph.getNode(getModNodeId(mod));
		}


		private String getModNodeId(IMagnoliaModule mod) {
			return mod.getURI().toString();
		}


		private String getParent(String name) {
			if(name.equals("__ROOT__")) {
				return null;
			}
			int i = name.lastIndexOf('.');
			if(i > -1) {
				return name.substring(0, i);
			}
			else {
				return "__ROOT__";
			}
		}


		private Node getPkgNode(IMagnoliaPackage pkg) {
			return graph.getNode(getPkgNodeId(pkg));
		}


		private String getPkgNodeId(IMagnoliaPackage pkg) {
			return String.valueOf(System.identityHashCode(pkg));
		}


		private void hideMods(boolean hide) {
			for(Node n : modNodes.keySet()) {
				if(hide) {
					n.setAttribute("ui.hide");
				}
				else {
					n.removeAttribute("ui.hide");
				}
			}
		}


		private void hidePkgs(boolean hide) {
			for(Node n : pkgNodes.keySet()) {
				if(hide) {
					n.setAttribute("ui.hide");
				}
				else {
					n.removeAttribute("ui.hide");
				}
			}
		}


		private void initGraph() throws InterruptedException {
			StyleBase styleBase = MagnoliaPlugin.getInstance().getStyleBase(Magnolia.MAGNOLIA);
			StringBuilder style = new StringBuilder(styleSheet);
			for(String kind : new String[] { "concept", "implementation", "satisfaction", "program", "function", "procedure", "type", "axiom", "theorem", "predicate", "declaration", "renaming", "test" }) {
				Color color = styleBase.getColor(kind);
				StringBuilder b = new StringBuilder();
				if(color != null) {
					b.append(color.getRed());
					b.append(",");
					b.append(color.getGreen());
					b.append(",");
					b.append(color.getBlue());
				}
				String col = b.toString();

				style.append("node.");
				style.append(kind);
				style.append(" { fill-color: rgb(");
				style.append(col);
				style.append("), rgba(");
				style.append(col);
				style.append(",0); }\n");
			}
			System.err.println("ProjectGraph style: " + style.toString());
			graph.addAttribute("ui.stylesheet", style.toString());
			graph.addAttribute("layout.quality", 3);
			Node node = addNode("__ROOT__");
			node.addAttribute("ui.label", manager.getProjectName());
			node.addAttribute("ui.class", "root");

			for(IManagedCodeUnit p : manager.allPackages(Magnolia.getInstance())) {
				if(p instanceof IMagnoliaPackage) {
					IMagnoliaPackage pkg = (IMagnoliaPackage) p;
					addNode(pkg);
					for(IMagnoliaModule m : pkg.getChildren(tm)) {
						addNode(m);
					}
				}
			}
		}


		private void viewStructure() throws InterruptedException {
			clearEdges();
			hidePkgs(false);
			hideMods(false);

			for(Entry<Node, String> e : hierNodesByNode.entrySet()) {
				String parentName = getParent(e.getValue());
				if(parentName != null) {
					Node parent = graph.getNode(parentName);
					if(parent != null) {
						Edge edge = graph.addEdge(String.valueOf(count++), e.getKey(), parent, true);
						edge.addAttribute("layout.weight", 3);
						edge.addAttribute("ui.class", "child");
						edges.add(edge);
						Thread.sleep(1);
						fromViewer.pump();
					}
				}
			}

			for(Entry<Node, IMagnoliaPackage> e : pkgNodes.entrySet()) {
				String parentName = getParent(e.getValue().getName());
				if(parentName != null) {
					Node parent = graph.getNode(parentName);
					if(parent != null) {
						Edge edge = graph.addEdge(String.valueOf(count++), e.getKey(), parent, true);
						edge.addAttribute("layout.weight", 2);
						edge.addAttribute("ui.class", "child");
						edges.add(edge);
						Thread.sleep(1);
						fromViewer.pump();
					}
				}
				for(IMagnoliaModule m : e.getValue().getChildren(tm)) {
					Edge edge = graph.addEdge(String.valueOf(count++), getModNode(m), e.getKey(), true);
					edge.addAttribute("layout.weight", 1);
					edge.addAttribute("ui.class", "child");
					edges.add(edge);
					Thread.sleep(1);
					fromViewer.pump();

					for(IManagedCodeUnit d : m.getDepends(tm)) {
						edge = graph.addEdge(String.valueOf(count++), getModNode(m), getModNode((IMagnoliaModule) d), true);
						edge.addAttribute("layout.weight", 0);
						edge.addAttribute("layout.stabilization-limit", 0);
						edge.addAttribute("ui.class", "depends");
						edges.add(edge);
						Thread.sleep(1);
						fromViewer.pump();
					}
				}
			}
		}
	}
	*/
}
