package org.magnolialang.magnolia.services;

import org.rascalmpl.value.IConstructor;
import org.rascalmpl.value.IList;
import org.rascalmpl.value.ISourceLocation;
import org.eclipse.jdt.annotation.Nullable;
import org.nuthatchery.pica.resources.IXRefInfo;

public interface IMgXRefInfo extends IXRefInfo {


	@Nullable
	IList getBindings();


	@Nullable
	IConstructor getDefInfo();


	IConstructor getId();


	@Nullable
	ISourceLocation getSrcLoc();


	boolean hasBindings();


	boolean hasDefInfo();
}
