#include <iostream>

namespace Magnolia {
  namespace Assert {
    void axiom_assert(bool cond, const char* msg, const char* src, const char* loc) {
    	if(!cond) {
    		if(*loc != '\0')
    			std::cerr << loc << ": ";
    		std::cerr << "Assertion failed";
    		if(*src != '\0')
    			std::cerr << ": " << src;
    		std::cerr << std::endl;
    		if(*msg != '\0')
    			std::cerr << "    " << msg << std::endl;
    	}
    }
  }
}
