// program: program basic.Integer.FunInteger, file: "basic/FunInteger.hxx" 
#ifndef _INCLUDE_BASIC_FUNINTEGER_HXX
#define _INCLUDE_BASIC_FUNINTEGER_HXX
namespace basic {
namespace FunInteger {
struct FunInteger_impl {
	typedef int Integer;
	
	
	/** function add(:Integer, :Integer) : Integer */
	Integer add(const Integer& a, const Integer& addend) const {
		return a + addend;
	}
	
	/** function div(:Integer, :Integer) : Integer */
	Integer div(const Integer& a, const Integer& divisor) const {
		return a / divisor;
	}
	
	/** function mul(:Integer, :Integer) : Integer */
	Integer mul(const Integer& a, const Integer& factor) const {
		return a * factor;
	}
	
	/** function neg(:Integer) : Integer */
	Integer neg(const Integer& a) const {
		return -a;
	}
	
	/** function one() : Integer */
	Integer one() const {
		return 1;
	}
	
	/** function sub(:Integer, :Integer) : Integer */
	Integer sub(const Integer& a, const Integer& subtrahend) const {
		return a - subtrahend;
	}
	
	/** function ten() : Integer */
	Integer ten() const {
		return 10;
	}
	
	/** function zero() : Integer */
	Integer zero() const {
		return 0;
	}

};
}

}


#endif
