// program: program basic.Integer.ProcInteger, file: "basic/ProcInteger.hxx" 
#ifndef _INCLUDE_BASIC_PROCINTEGER_HXX
#define _INCLUDE_BASIC_PROCINTEGER_HXX
namespace basic {
namespace ProcInteger {
struct ProcInteger_impl {
	typedef int Integer;
	
	/** procedure add(upd :Integer, obs :Integer) */
	void add(Integer& a, const Integer& addend) const {
		a += addend;
	}
	
	/** procedure div(upd :Integer, obs :Integer) */
	void div(Integer& a, const Integer& divisor) const {
		a /= divisor;
	}
	
	/** procedure mul(upd :Integer, obs :Integer) */
	void mul(Integer& a, const Integer& factor) const {
		a *= factor;
	}
	
	/** procedure neg(upd :Integer) */
	void neg(Integer& a) const {
		a = -a;
	}
	
	/** procedure one(out :Integer) */
	void one(Integer& a) const {
		a = 1;
	}
	
	/** procedure sub(upd :Integer, obs :Integer) */
	void sub(Integer& a, const Integer& subtrahend) const {
		a -= subtrahend;
	}
	
	/** procedure ten(out :Integer) */
	void ten(Integer& a) const {
		a = 10;
	}
	
	/** procedure zero(out :Integer) */
	void zero(Integer& a) const {
		a = 0;
	}
};
}

}


#endif
